# Map Course Truncated Names to Course Codes
%crsmap = ('ELA_A10' => 4017, 'ELA_B10' => 4018, 'Math10_WrkApp' => 4423, 'Math10_FndPreCalc' => 4424,
   'Science10' => 4214, 'Cree10' => 4084,
   
   'ELA20' => 6017, 'CrtWrt20' => 6024, 'JrnlStud20' => 6027, 'MediaStud20' => 6025, 'Cree20' => 6084,
   'Math20_WrkApp' => 6423, 'Math20_Fnd' => 6425, 'Math20_Precalc' => 6426, 'Math30_Precalc' => 8426,
   'CompSci20' => 6702, 'HlthSci20' => 6245, 'EnvSci20' => 6246, 'PhysSci20' => 6247, 'Cree20' => 6084,

   'ELA_A30' => 8017, 'ELA_B30' => 8018, 'Math30_WrkApp' => 8423, 'Math30_Fnd' => 8425, 'Math30_Calculus' => 8421,
   'CompSci30' => 8702, 'Bio30' => 8255, 'EarthSci30' => 8251, 'Chem30' => 8256, 'Phys30' => 8257, 'Cree30' => 8084,

);

%prereq = ('ELA20' => "ELA_A10 and ELA_B10", 'CrtWrt20' => 'ELA_A10 or ELA_B10', 'JrnlStud20' => 'ELA_A10,ELA_B10', 
   'MediaStud20' => 'ELA_A10,ELA_B10', 'ELA_A30' => 'ELA20', 'ELA_B30' => 'ELA20',
   'Math20_WrkApp' => 'Math10_WrkApp', 'Math20_Fnd' => 'Math10_FndPreCalc', 'Math20_Precalc' => 'Math10_FndPreCalc',
   'Math30_WrkApp' => 'Math20_WrkApp', 'Math30_Fnd' => 'Math20_Fnd', 'Math30_PreCalc' => 'Math20_PreCalc',
   'Math30_Calculus' => 'Math30_PreCalc', 'Cree20' => 'Cree10', 'Cree30' => 'Cree20',
   'CompSci20' =>'Science10', 'HlthSci20' =>'Science10', 'EnvSci20' =>'Science10', 'PhysSci20' =>'Science10',
   'CompSci30' => 'CompSci20', 'Bio30' => 'HlthSci20 or EnvSci20', 'EarthSci30' => 'EnvSci20 or PhysSci20',
   'Chem30' => 'PhysSci20', 'Phys30' => 'PhysSci20',

);